Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
ipe::Text::XForm Struct Reference

`#include <ipetext.h>`

## Public Attributes
int | iRefCount
Rect | iBBox
int | iDepth
float | iStretch
String | iName
Vector | iTranslation

## Member Data Documentation

int ipe::Text::XForm::iRefCount

Referenced by ipe::Latex::createLatexSource(), ipe::Text::setXForm(), ipe::Text::Text(), and ipe::Text::~Text().

Rect ipe::Text::XForm::iBBox

Referenced by ipe::Latex::createLatexSource(), and ipe::Text::setXForm().

int ipe::Text::XForm::iDepth

Referenced by ipe::Latex::createLatexSource(), ipe::Text::depth(), ipe::Text::setXForm(), and ipe::Text::totalHeight().

float ipe::Text::XForm::iStretch

Referenced by ipe::Latex::createLatexSource(), ipe::PdfPainter::doDrawText(), ipe::CairoPainter::doDrawText(), and ipe::Text::setXForm().

String ipe::Text::XForm::iName

Referenced by ipe::Latex::createLatexSource(), ipe::PdfPainter::doDrawText(), and ipe::CairoPainter::doDrawText().

Vector ipe::Text::XForm::iTranslation

Referenced by ipe::Latex::createLatexSource(), ipe::PdfPainter::doDrawText(), and ipe::CairoPainter::doDrawText().

The documentation for this struct was generated from the following file:

- ipetext.h